Skip to main content
Attachments

Get an attachment resource pre-signed URL

Create a pre-signed URL for the given attachment.

POST
/gb/attachments/{attachment_id}/pre-signed-url

This method requires the Attachments:Get permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
attachment_idstringrequired

Attachment Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]{0,9}$

Body

application/x-www-form-urlencoded
url_timeoutintegerdefault:300

Pre-signed URL timeout in seconds

Required range: 0 <= x <= 3600

Response

application/vnd.catch-e-api.v1+json

Success

urlstring

Pre-signed attachment URL

Example: https://catch-e-client-assets.s3.ap-southeast-2.amazonaws.com/client/example/100000?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=ZKIBIA46LLA7H5KN5S4Q%2F20190201%2Fap-southeast-2%2Fs3%2Faws4_request&X-Amz-Date=20190201T045824Z&X-Amz-SignedHeaders=host&X-Amz-Expires=300&X-Amz-Signature=6dcb136a7e0d285419ec8f88602785df41dc0036df8657bbc6e20309d3f3d5ba